/*  Higlight code	
*  Copyright (C) 1999 by:
*Mikael Hermansson <mikeh@bahnhof.se>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HIGLIGHT_H__
#define HIGLIGHT_H__
#ifdef __cplusplus
extern "C" {
#endif

#define DESCRIPTION_LINE 1
#define DESCRIPTION_MULTILINE 2
#define STRING 3
#define SYNTAX 4
#define CHAR 5


void init_highlight(GtkExText *text);
void destroy_highlight(GtkExText *text);

gint cb_inserttext(GtkExText *text,GtkExTextProperty *prop,gint start,gint end);
gint cb_removetext(GtkExText *text,GtkExTextProperty *prop,gint start,gint end);

#ifdef __cplusplus
}
#endif
#endif 